import type { CreatePermission } from '../models/CreatePermission';
import type { ResponseEmpty } from '../models/ResponseEmpty';
import type { ResponsePermission } from '../models/ResponsePermission';
import type { ResponsePrincipal } from '../models/ResponsePrincipal';
import type { UpdatePermission } from '../models/UpdatePermission';
export declare class PermissionService {
    /**
     * Get all
     * Lists all permissions.
     * @returns ResponsePermission
     * @throws ApiError
     */
    static permissionControllerGetAll(): Promise<Array<ResponsePermission>>;
    /**
     * Post
     * Create a new runnerTeam object (id will be generated automagicly).
     * @param requestBody CreatePermission
     * @returns ResponsePermission
     * @throws ApiError
     */
    static permissionControllerPost(requestBody?: CreatePermission): Promise<ResponsePermission>;
    /**
     * Get one
     * Returns a permissions of a specified id (if it exists)
     * @param id
     * @returns ResponsePermission
     * @throws ApiError
     */
    static permissionControllerGetOne(id: number): Promise<ResponsePermission>;
    /**
     * Put
     * Update a permission object (id can't be changed).
     * @param id
     * @param requestBody UpdatePermission
     * @returns ResponsePrincipal
     * @throws ApiError
     */
    static permissionControllerPut(id: number, requestBody?: UpdatePermission): Promise<ResponsePrincipal>;
    /**
     * Remove
     * Delete a specified permission (if it exists).
     * @param id
     * @param force
     * @returns ResponsePermission
     * @returns ResponseEmpty
     * @throws ApiError
     */
    static permissionControllerRemove(id: number, force?: boolean): Promise<ResponsePermission | ResponseEmpty>;
}
