import type { CreateRunnerOrganisation } from '../models/CreateRunnerOrganisation';
import type { ResponseEmpty } from '../models/ResponseEmpty';
import type { ResponseRunnerOrganisation } from '../models/ResponseRunnerOrganisation';
import type { UpdateRunnerOrganisation } from '../models/UpdateRunnerOrganisation';
export declare class RunnerOrganisationService {
    /**
     * Get all
     * Lists all runnerOrganisations.
     * @returns ResponseRunnerOrganisation
     * @throws ApiError
     */
    static runnerOrganisationControllerGetAll(): Promise<Array<ResponseRunnerOrganisation>>;
    /**
     * Post
     * Create a new runnerOrganisation object (id will be generated automagicly).
     * @param requestBody CreateRunnerOrganisation
     * @returns ResponseRunnerOrganisation
     * @throws ApiError
     */
    static runnerOrganisationControllerPost(requestBody?: CreateRunnerOrganisation): Promise<ResponseRunnerOrganisation>;
    /**
     * Get one
     * Returns a runnerOrganisation of a specified id (if it exists)
     * @param id
     * @returns ResponseRunnerOrganisation
     * @throws ApiError
     */
    static runnerOrganisationControllerGetOne(id: number): Promise<ResponseRunnerOrganisation>;
    /**
     * Put
     * Update a runnerOrganisation object (id can't be changed).
     * @param id
     * @param requestBody UpdateRunnerOrganisation
     * @returns ResponseRunnerOrganisation
     * @throws ApiError
     */
    static runnerOrganisationControllerPut(id: number, requestBody?: UpdateRunnerOrganisation): Promise<ResponseRunnerOrganisation>;
    /**
     * Remove
     * Delete a specified runnerOrganisation (if it exists).
     * @param id
     * @param force
     * @returns ResponseRunnerOrganisation
     * @returns ResponseEmpty
     * @throws ApiError
     */
    static runnerOrganisationControllerRemove(id: number, force?: boolean): Promise<ResponseRunnerOrganisation | ResponseEmpty>;
}
