import type { CreateRunnerTeam } from '../models/CreateRunnerTeam';
import type { ResponseEmpty } from '../models/ResponseEmpty';
import type { ResponseRunnerTeam } from '../models/ResponseRunnerTeam';
import type { UpdateRunnerTeam } from '../models/UpdateRunnerTeam';
export declare class RunnerTeamService {
    /**
     * Get all
     * Lists all runnerTeams.
     * @returns ResponseRunnerTeam
     * @throws ApiError
     */
    static runnerTeamControllerGetAll(): Promise<Array<ResponseRunnerTeam>>;
    /**
     * Post
     * Create a new runnerTeam object (id will be generated automagicly).
     * @param requestBody CreateRunnerTeam
     * @returns ResponseRunnerTeam
     * @throws ApiError
     */
    static runnerTeamControllerPost(requestBody?: CreateRunnerTeam): Promise<ResponseRunnerTeam>;
    /**
     * Get one
     * Returns a runnerTeam of a specified id (if it exists)
     * @param id
     * @returns ResponseRunnerTeam
     * @throws ApiError
     */
    static runnerTeamControllerGetOne(id: number): Promise<ResponseRunnerTeam>;
    /**
     * Put
     * Update a runnerTeam object (id can't be changed).
     * @param id
     * @param requestBody UpdateRunnerTeam
     * @returns ResponseRunnerTeam
     * @throws ApiError
     */
    static runnerTeamControllerPut(id: number, requestBody?: UpdateRunnerTeam): Promise<ResponseRunnerTeam>;
    /**
     * Remove
     * Delete a specified runnerTeam (if it exists).
     * @param id
     * @param force
     * @returns ResponseRunnerTeam
     * @returns ResponseEmpty
     * @throws ApiError
     */
    static runnerTeamControllerRemove(id: number, force?: boolean): Promise<ResponseRunnerTeam | ResponseEmpty>;
}
