import type { CreateTrack } from '../models/CreateTrack';
import type { ResponseEmpty } from '../models/ResponseEmpty';
import type { ResponseTrack } from '../models/ResponseTrack';
import type { Track } from '../models/Track';
export declare class TrackService {
    /**
     * Get all
     * @returns ResponseTrack
     * @throws ApiError
     */
    static trackControllerGetAll(): Promise<Array<ResponseTrack>>;
    /**
     * Post
     * Create a new track object (id will be generated automagicly).
     * @param requestBody CreateTrack
     * @returns ResponseTrack
     * @throws ApiError
     */
    static trackControllerPost(requestBody?: CreateTrack): Promise<ResponseTrack>;
    /**
     * Get one
     * Returns a track of a specified id (if it exists)
     * @param id
     * @returns ResponseTrack
     * @throws ApiError
     */
    static trackControllerGetOne(id: number): Promise<ResponseTrack>;
    /**
     * Put
     * Update a track object (id can't be changed).
     * @param id
     * @param requestBody Track
     * @returns ResponseTrack
     * @throws ApiError
     */
    static trackControllerPut(id: number, requestBody?: Track): Promise<ResponseTrack>;
    /**
     * Remove
     * Delete a specified track (if it exists).
     * @param id
     * @returns ResponseTrack
     * @returns ResponseEmpty
     * @throws ApiError
     */
    static trackControllerRemove(id: number): Promise<ResponseTrack | ResponseEmpty>;
}
